<?php

class NodeEntityFieldQuery extends EntityFieldQuery {  
  // define some defaults for the class  
  public function __construct() {    
    // now we don't need to define these over and over anymore    
    $this
      ->entityCondition('entity_type', 'node')
      ->propertyCondition('status', 1);
  }
}

class EffectuationEntityFieldQuery extends NodeEntityFieldQuery {  
  // define some defaults for the class  
  public function __construct() {    
    // now we don't need to define these over and over anymore    
    $this
      ->entityCondition('bundle', array('effectuation'))
      ->fieldCondition('field_performances', 'target_id', 'NULL', '!=')
      ->fieldOrderBy('field_date_de_debut', 'value', 'ASC');
  }
}

// class PerformanceEntityFieldQuery extends NodeEntityFieldQuery {  
//   // define some defaults for the class  
//   public function __construct() {    
//     // now we don't need to define these over and over anymore    
//     $this
//       ->entityCondition('bundle', array('performance'));
//   }
// }


/*
class PerformancesEntityFieldQuery extends NodeEntityFieldQuery {  
  // define some defaults for the class  
  public function __construct() {    
    // now we don't need to define these over and over anymore    
    $this
      ->entityCondition('bundle', array('performance'));
  }
}
*/